Бот для telegram, который отправляет оповещения о начале стрима на твиче
====

# TL;DR

Надо поставить в virtualenv зависимости из requirements.txt, сформировать конфиг из config_python.py.tpl и запустить бота.

# Инструкция

* Ставим virtualenv, активируем
* Ставим пакеты - `pip3 install -r requirements.txt`
* Настраиваем конфиг
* Запускаем скрипт. Важно: запускать его надо из той же папки, где лежит конфиг. Там же будет создаваться временный файл с айди сообщения и фото стрима

# Настройка конфига

* Отправляем в бота https://t.me/RawDataBot сообщение из канала, в который надо добавить бота
* Указываем айди канала в переменной `tgchat` (раздел message - forward_from_chat - id)
* Создаем бота на твиче - https://dev.twitch.tv/console
* Полученный appid указываем в переменной `appid`, а секрет в `appsecret`
* Указываем логин стримера в переменной `streamer`
* Указываем частоту проверки стрима в секундах в переменной `period`. Советую 300 секунд, т.к. количество зрителей и 
фото стрима не будут обновляться чаще - ограничение твича

# systemd unit для запуска бота

```commandline
# /etc/systemd/system/tgbot-inter.service
[Unit]
Description=Twitch bot notifier (STREAMER)

[Service]
Restart=always
RestartSec=30s
Type=simple
WorkingDirectory=/opt/tgbot-STREAMER
ExecStart=/bin/bash -c '/opt/twitch-tgbot/venv/bin/python3 /opt/twitch-tgbot/main.py'

[Install]
WantedBy=multi-user.target
```